global ?Sqrt_AVX@Math@ehs@@CAMM@Z
global ?Sqrt_AVX@Math@ehs@@CANN@Z
global ?Sqrt_SSE@Math@ehs@@CAMM@Z
global ?Sqrt_SSE2@Math@ehs@@CANN@Z
global ?Near@Math@ehs@@SAMM@Z
global ?Near@Math@ehs@@SANN@Z
global ?Floor@Math@ehs@@SAMM@Z
global ?Floor@Math@ehs@@SANN@Z
global ?Ceil@Math@ehs@@SAMM@Z
global ?Ceil@Math@ehs@@SANN@Z
global ?Trunc@Math@ehs@@SAMM@Z
global ?Trunc@Math@ehs@@SANN@Z

section .text
    ?Sqrt_AVX@Math@ehs@@CAMM@Z:
        VSQRTPS XMM0, XMM0
        RET

    ?Sqrt_AVX@Math@ehs@@CANN@Z:
        VSQRTPD XMM0, XMM0
        RET

    ?Sqrt_SSE@Math@ehs@@CAMM@Z:
        SQRTPS XMM0, XMM0
        RET

    ?Sqrt_SSE2@Math@ehs@@CANN@Z:
        SQRTPD XMM0, XMM0
        RET

    ?Near@Math@ehs@@SAMM@Z:
        ROUNDPS XMM0, XMM0, 0
        RET

    ?Near@Math@ehs@@SANN@Z:
        ROUNDPD XMM0, XMM0, 0
        RET

    ?Floor@Math@ehs@@SAMM@Z:
        ROUNDPS XMM0, XMM0, 1
        RET

    ?Floor@Math@ehs@@SANN@Z:
        ROUNDPD XMM0, XMM0, 1
        RET

    ?Ceil@Math@ehs@@SAMM@Z:
        ROUNDPS XMM0, XMM0, 2
        RET

    ?Ceil@Math@ehs@@SANN@Z:
        ROUNDPD XMM0, XMM0, 2
        RET

    ?Trunc@Math@ehs@@SAMM@Z:
        ROUNDPS XMM0, XMM0, 3
        RET

    ?Trunc@Math@ehs@@SANN@Z:
        ROUNDPD XMM0, XMM0, 3
        RET