#include "ehs/system/BaseOpen.h"

namespace ehs
{
	BaseOpen::BaseOpen()
	{
	}

	BaseOpen::BaseOpen(Str_8 filePath)
		: filePath((Str_8&&)filePath)
	{
	}

	BaseOpen::BaseOpen(BaseOpen&& bo) noexcept
		: filePath((Str_8&&)bo.filePath)
	{
	}

	BaseOpen::BaseOpen(const BaseOpen& bo)
		: filePath(bo.filePath)
	{
	}

	BaseOpen& BaseOpen::operator=(BaseOpen&& bo) noexcept
	{
		if (this == &bo)
			return *this;

		filePath = (Str_8&&)bo.filePath;

		return *this;
	}

	BaseOpen& BaseOpen::operator=(const BaseOpen& bo)
	{
		if (this == &bo)
			return *this;

		filePath = bo.filePath;

		return *this;
	}

	Str_8 BaseOpen::GetFilePath() const
	{
		return filePath;
	}
}